<?xml version="1.0"?>  
<system name="HK36 indicators"> 
	<channel name="Engine Instruments">
		<fcs_function name="systems/indicators/fuel-qty-raw">
			<function>
				<table>
					<independentVar lookup="row">/consumables/fuel/tank[0]/level-norm</independentVar>
					<independentVar lookup="column">/systems/electrical/outputs/fuel-quantity-indicator</independentVar>
					<tableData>
							0	8.9	9
						0	-10	-10	0
						1	-10	-10	80
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/fuel-qty-raw</input>
			<c1>12.0</c1>
			<output>systems/indicators/fuel-qty-needle</output>
		</lag_filter>
		
		
		<fcs_function name="systems/indicators/cht-raw">
			<function>
				<table>
					<independentVar lookup="row">/engines/engine[0]/cht-degf</independentVar>
					<independentVar lookup="column">/systems/electrical/outputs/cht-indicator</independentVar>
					<tableData>
							0	8.9	9
						0	-10	-10	0
						122	-10	-10	0
						140	-10	-10	3.38
						158	-10	-10	6.26
						176	-10	-10	10.41
						194	-10	-10	15.74
						212	-10	-10	24.33
						230	-10	-10	35.74
						248	-10	-10	48.97
						266	-10	-10	60.90
						284	-10	-10	70.90
						302	-10	-10	78.77
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/cht-raw</input>
			<c1>12.0</c1>
			<output>systems/indicators/cht-needle</output>
		</lag_filter>
		
		
		<fcs_function name="systems/indicators/oil-temp-raw">
			<function>
				<table>
					<independentVar lookup="row">/engines/engine[0]/oil-temperature-degf</independentVar>
					<independentVar lookup="column">/systems/electrical/outputs/oil-temp-indicator</independentVar>
					<tableData>
							0	8.9	9
						0	-10	-10	0
						122	-10	-10	0
						140	-10	-10	3.38
						158	-10	-10	6.26
						176	-10	-10	10.41
						194	-10	-10	15.74
						212	-10	-10	24.33
						230	-10	-10	35.74
						248	-10	-10	48.97
						266	-10	-10	60.90
						284	-10	-10	70.90
						302	-10	-10	78.77
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/oil-temp-raw</input>
			<c1>12.0</c1>
			<output>systems/indicators/oil-temp-needle</output>
		</lag_filter>
		
		
		<fcs_function name="systems/indicators/oil-press-raw">
			<function>
				<table>
					<independentVar lookup="row">/engines/engine[0]/oil-pressure-psi</independentVar>
					<independentVar lookup="column">/systems/electrical/outputs/oil-press-indicator</independentVar>
					<tableData>
							0	8.9	9
						0	-10	-10	0
						145.038	-10	-10	80
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/oil-press-raw</input>
			<c1>12.0</c1>
			<output>systems/indicators/oil-press-needle</output>
		</lag_filter>
		
		
		<lag_filter>
			<input>/systems/electrical/amps</input>
			<c1>12.0</c1>
			<output>systems/indicators/amps-needle</output>
		</lag_filter>
		
		
		<fcs_function name="systems/indicators/ai-off-flag-raw">
			<function>
				<table>
					<independentVar lookup="row">/systems/electrical/outputs/attitude-indicator</independentVar>
					<tableData>
						0	0
						9.99	0
						10.0	1
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/ai-off-flag-raw</input>
			<c1>8.0</c1>
			<output>systems/indicators/ai-off-flag</output>
		</lag_filter>
		
		
		<fcs_function name="systems/indicators/dg-off-flag-raw">
			<function>
				<table>
					<independentVar lookup="row">/systems/electrical/outputs/DG</independentVar>
					<tableData>
						0	0
						9.99	0
						10.0	1
					</tableData>
				</table>
			</function>
		</fcs_function>
		<lag_filter>
			<input>systems/indicators/dg-off-flag-raw</input>
			<c1>8.0</c1>
			<output>systems/indicators/dg-off-flag</output>
		</lag_filter>
	</channel>      
	<channel name="GPS100">
		<pure_gain>
			<input>/systems/electrical/outputs/gps</input>
			<gain>0.05</gain>
			<output>/instrumentation/gps100/backlighting-factor</output>
		</pure_gain>
	</channel>
</system>
